CUCM Device Packs

I was running a DX80 with a CE firmware load but the lab CUCM we had installed did not support the CE Version of code, when i first tried registering the endpoint to the CUCM it came up with the following error: Failed: 485 Ambigious / Device Type Mismatch,i had a look at CUCM to see if the device load was installed but only the “Cisco DX80” endpoint was available. This is the Android version of the DX which is not the same as the ‘Cisco TelePresence DX80’ you see on the web browser of the endpoint.

for this you need to install the relevant device pack to get the ball rolling and endpoint registered.

These notes are applicable on the following versions but tested for 10.5(2)

  • Unified CM 11.5(1)
  • Unified CM 11.0(1)
  • Unified CM 10.5(2)
  • Unified CM 9.1(2)

Step 1: Verify the CUCM Version you are running

From web browser > About

ccm version

you can also get this information from the web browser:

admin: show version active
Active Master Version: 10.5.2.10000-5

or

admin: show  status

Host Name         : cucm01
Date                      : Tue Aug 29, 2017 14:44:48
Time Zone          : British Summer Time (Europe/London)
Locale                   : en_US.UTF-8
Product Ver        : 10.5.2.10000-5
Unified OS Version : 6.0.0.0-2

Step 2: Download the Appropriate Device Pack

Install a the relevant device pack for the endpoint that you wish to configure on the CUCM, in this case the DX80 is not a ‘native endpoint in cucm as such a device pack will need to be installed:

Device Type Device Release Unified CM 11.5(1) Unified CM 11.0(1) Unified CM 10.5(2) Unified CM 9.1(2)
DX70 and DX80 Collaboration Endpoint Software 8.3 cmterm-devicepack11.5.1

April 4, 2017

cmterm-devicepack11.0.1

April 4, 2017

cmterm-devicepack10.5.2

April 4, 2017

cmterm-devicepack9.1.2

April 13, 2017

Collaboration Endpoint Software 8.3 cmterm-devicepack11.5.1

Nov 30, 2016

cmterm-devicepack11.0.1

Nov 30, 2016

cmterm-devicepack10.5.2

Nov 30, 2016

cmterm-devicepack9.1.2

Dec 27, 2016

Please note:

  • A valid cisco support contract will be needed
  • Device package compatibility matrix is located here

 

Step 3:  Upload Device pack to CUCM

3a) in OS Administration under  >  Software Upgrades > Installation/Upgrade > Chose the Remote File system where your device pack is located.

3b) verify MD5 hash with cisco.com downloads page where you installed the file from

Step 4: Restart TFTP Service

Control Center – Feature Services > Cisco Tftp > Restart

Step 5: Install Phone

now if you go to add new phone (device>phone) or go to device defaults (Device> Device Settings>Device Defaults) you will see the new device types:

Cisco TelePresence DX70
Cisco TelePresence DX80

 

Advertisements

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s